pcl::octree::OctreePointCloudDensityContainer Class Reference

Octree pointcloud density leaf node class More...

`#include <pcl/octree/octree_pointcloud_density.h>`

Inheritance diagram for pcl::octree::OctreePointCloudDensityContainer:

## Public Member Functions

| OctreePointCloudDensityContainer ()
| Class initialization. More...
virtual | ~OctreePointCloudDensityContainer ()
| Empty class deconstructor. More...
virtual OctreePointCloudDensityContainer * | deepCopy () const
| deep copy function More...
virtual bool | operator== (const OctreeContainerBase &other) const
| Equal comparison operator. More...
void | addPointIndex (int)
| Read input data. More...
unsigned int | getPointCounter ()
| Return point counter. More...
virtual void | reset ()
| Reset leaf node. More...
Public Member Functions inherited from pcl::octree::OctreeContainerBase
| OctreeContainerBase ()
| Empty constructor. More...
| OctreeContainerBase (const OctreeContainerBase &)
| Empty constructor. More...
virtual | ~OctreeContainerBase ()
| Empty deconstructor. More...
bool | operator!= (const OctreeContainerBase &other) const
| Inequal comparison operator. More...
virtual size_t | getSize () const
| Pure abstract method to get size of container (number of indices) More...
void | addPointIndex (const int &)
| Empty addPointIndex implementation. More...
void | getPointIndex (int &) const
| Empty getPointIndex implementation as this leaf node does not store any point indices. More...
void | getPointIndices (std::vector< int > &) const
| Empty getPointIndices implementation as this leaf node does not store any data. More...

## Detailed Description

Octree pointcloud density leaf node class

Note
  This class implements a leaf node that counts the amount of points which fall into its voxel space.

Author
  Julius Kammerl (juliu.nosp@m.s@ka.nosp@m.mmerl.nosp@m..de)

Definition at line 52 of file octree_pointcloud_density.h.

## Constructor & Destructor Documentation

## OctreePointCloudDensityContainer()

pcl::octree::OctreePointCloudDensityContainer::OctreePointCloudDensityContainer | ( |  | ) |

inline

Class initialization.

Definition at line 56 of file octree_pointcloud_density.h.

## ~OctreePointCloudDensityContainer()

virtual pcl::octree::OctreePointCloudDensityContainer::~OctreePointCloudDensityContainer | ( |  | ) |

inline virtual

Empty class deconstructor.

Definition at line 61 of file octree_pointcloud_density.h.

## Member Function Documentation

## addPointIndex()

void pcl::octree::OctreePointCloudDensityContainer::addPointIndex | ( | int |  | ) |

inline

Read input data.

Only an internal counter is increased.

Definition at line 86 of file octree_pointcloud_density.h.

## deepCopy()

virtual OctreePointCloudDensityContainer* pcl::octree::OctreePointCloudDensityContainer::deepCopy | ( |  | ) | const

inline virtual

deep copy function

Definition at line 67 of file octree_pointcloud_density.h.

## getPointCounter()

unsigned int pcl::octree::OctreePointCloudDensityContainer::getPointCounter | ( |  | ) |

inline

Return point counter.

Returns
  Amount of points

Definition at line 95 of file octree_pointcloud_density.h.

Referenced by pcl::octree::OctreePointCloudDensity< PointT, LeafContainerT, BranchContainerT >::getVoxelDensityAtPoint().

## operator==()

virtual bool pcl::octree::OctreePointCloudDensityContainer::operator== | ( | const OctreeContainerBase & | other | ) | const

inline virtual

Equal comparison operator.

Parameters

  [in] | other | OctreePointCloudDensityContainer to compare with

Reimplemented from pcl::octree::OctreeContainerBase.

Definition at line 75 of file octree_pointcloud_density.h.

## reset()

virtual void pcl::octree::OctreePointCloudDensityContainer::reset | ( |  | ) |

inline virtual

Reset leaf node.

Implements pcl::octree::OctreeContainerBase.

Definition at line 102 of file octree_pointcloud_density.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/octree/include/pcl/octree/octree_pointcloud_density.h